Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 2441)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 2442)
@@ -760,13 +756,13 @@
 		saveImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		saveImportLink.setImage(IImageKeys.getImage(IImageKeys.SAVE));
 		saveImportLink.addHyperlinkListener(saveHListener);
-
+		
 		ImageHyperlink startImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		startImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		startImportLink.setImage(IImageKeys.getImage(IImageKeys.START));
-		startImportLink.addHyperlinkListener(startImportListener);	
-
-
+		startImportLink.addHyperlinkListener(startImportListener);
+		
+		
 		Composite line1 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
@@ -775,14 +771,14 @@
 		hLayout.center = true;
 		line1.setLayout(hLayout);
 		toolkit.createLabel(line1, TXMUIMessages._1, SWT.WRAP);
-
+		
 		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.selectTheSourceDirectory, SWT.WRAP);
 		hyperlink1.addHyperlinkListener(selectDirHListener);
-
+		
 		ImageHyperlink openImportLink2 = toolkit.createImageHyperlink(line1, SWT.WRAP);
 		openImportLink2.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
 		openImportLink2.addHyperlinkListener(selectDirHListener);
-
+		
 		Composite line2 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
@@ -792,7 +788,7 @@
 		line2.setLayout(hLayout);
 		toolkit.createLabel(line2, TXMUIMessages._2, SWT.WRAP);
 		toolkit.createLabel(line2, TXMUIMessages.setImportParametersInTheSectionsBelow, SWT.WRAP);
-
+		
 		Composite line4 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
@@ -807,14 +803,14 @@
 		startImportLink2.setImage(IImageKeys.getImage(IImageKeys.START));
 		startImportLink2.addHyperlinkListener(startImportListener);
 	}
-
+	
 	private int createUIsSection() {
-		uiSection = new UISection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
+		uiSection = new UISection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return uiSection.getSectionSize();
 	}
-
+	
 	/**
-	 * Called by "selectSourceDir". 
+	 * Called by "selectSourceDir".
 	 * Theparameter file is read to fill the section fields.
 	 * 
 	 * @throws ParserConfigurationException
@@ -822,14 +818,14 @@
 	 * @throws IOException
 	 */
 	public void loadParams() throws ParserConfigurationException, SAXException, IOException {
-
-		File metadataFile = Metadatas.findMetadataFile(project.getSrcdir()); //$NON-NLS-1$
+		
+		File metadataFile = Metadatas.findMetadataFile(project.getSrcdir());
 		if (metadataFile.exists())
 			this.editor.getMetaPage().setMetadataFile(metadataFile);
-
+		
 		Log.fine(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
 		this.setPartName(project.getName());
-
+		
 		if (infosSection != null && !infosSection.isDisposed()) {
 			infosSection.setEnabled(true);
 			infosSection.update(project);
@@ -866,34 +862,34 @@
 			textualPlansSection.setEnabled(true);
 			textualPlansSection.update(project);
 		}
-
+		
 		if (optionsSection != null && !optionsSection.isDisposed()) {
 			optionsSection.setEnabled(true);
 			optionsSection.update(project);
 		}
-
+		
 		/*
-		if (sattrSection != null && !sattrSection.isDisposed()) {
-			sattrSection.setEnabled(true);
-		}
-
-		if (querySection != null && !querySection.isDisposed()) {
-			querySection.setEnabled(true);
-			updateQuerySection();
-		}
-		if (preBuildSection != null && !preBuildSection.isDisposed()) {
-			preBuildSection.setEnabled(true);
-			updatePreBuildSection();
-		}
-		if (pattrSection != null && !pattrSection.isDisposed()) {
-			pattrSection.setEnabled(true);
-			updatePAttributeSection();
-		}
+		 * if (sattrSection != null && !sattrSection.isDisposed()) {
+		 * sattrSection.setEnabled(true);
+		 * }
+		 * if (querySection != null && !querySection.isDisposed()) {
+		 * querySection.setEnabled(true);
+		 * updateQuerySection();
+		 * }
+		 * if (preBuildSection != null && !preBuildSection.isDisposed()) {
+		 * preBuildSection.setEnabled(true);
+		 * updatePreBuildSection();
+		 * }
+		 * if (pattrSection != null && !pattrSection.isDisposed()) {
+		 * pattrSection.setEnabled(true);
+		 * updatePAttributeSection();
+		 * }
 		 */
 	}
-
+	
 	/**
 	 * Called by "startImport". Save the field values in the Parameter file
+	 * 
 	 * @return true if import parameters are saved
 	 */
 	public boolean saveConfig() {
@@ -905,13 +901,13 @@
 			return false;
 		}
 		
-		//		params.rootDir = project.getSrcdir().getAbsolutePath();
-		//		project.scriptFile = editor.getGroovyScript().getName();
-
-		//		params.getCorpusElement().setAttribute("name", params.name); //$NON-NLS-1$
-		//		params.getCorpusElement().setAttribute("desc", params.description); //$NON-NLS-1$
-		//		params.getCorpusElement().setAttribute("cqpid", params.name.toUpperCase()+new Date().getTime()); //$NON-NLS-1$
-
+		// params.rootDir = project.getSrcdir().getAbsolutePath();
+		// project.scriptFile = editor.getGroovyScript().getName();
+		
+		// params.getCorpusElement().setAttribute("name", params.name); //$NON-NLS-1$
+		// params.getCorpusElement().setAttribute("desc", params.description); //$NON-NLS-1$
+		// params.getCorpusElement().setAttribute("cqpid", params.name.toUpperCase()+new Date().getTime()); //$NON-NLS-1$
+		
 		// TEST ALL SECTIONS
 		boolean doSave = true;
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -948,7 +944,7 @@
 			System.out.println("Some fields are not correctly filled.");
 			return false;
 		}
-
+		
 		// SAVE ALL SECTIONS
 		boolean successfulSave = true;
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -981,133 +977,144 @@
 		if (optionsSection != null && !optionsSection.isDisposed()) {
 			successfulSave = successfulSave & optionsSection.save(project);
 		}
-
+		
 		if (successfulSave) {
 			try {
 				project.save();
-				//				DomUtils.save(params.root.getOwnerDocument(), paramFile);
-			} catch (Exception e1) {
+				// DomUtils.save(params.root.getOwnerDocument(), paramFile);
+			}
+			catch (Exception e1) {
 				org.txm.utils.logger.Log.printStackTrace(e1);
 			}
-
+			
 			return true;
 		}
 		System.out.println("Error while saving parameters.");
 		return false;
-
+		
 	}
-
+	
 	/**
-	 * Called by the "folder" button 
+	 * Called by the "folder" button
 	 */
 	public void selectSourceDir() {
-
+		
 		ImportWizard wiz = new ImportWizard();
 		WizardDialog wdialog = new WizardDialog(this.getEditor().getSite().getShell(), wiz);
 		wdialog.open();
-
+		
 		project = wiz.getProject();
 		if (project == null) {
-			//System.out.println("Error: no project created");
+			// System.out.println("Error: no project created");
 			return;
 		}
-		//TODO currently the script directory is the same as the import name
+		// TODO currently the script directory is the same as the import name
 		project.setImportModuleName(editor.getGroovyScript().getParentFile().getName());
 		
 		try {
 			loadParams();
-
+			
 			this.editor.getMetaPage().reload();
 			this.editor.firePropertyChange(IEditorPart.PROP_TITLE);
-		} catch (Exception e1) {
+		}
+		catch (Exception e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
 		}
 	}
-
+	
 	public void startImport() {
-		//TODO: test all sections here
+		// TODO: test all sections here
 		project.setDirty();
 		project.setDoUpdate(false);
 		project.setNeedToBuild();
 		
+		if (project.getChildren().size() > 0) {
+			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.warning, NLS.bind(TXMUIMessages.theP0CorpusDirectoryAlreadyExistsDoYouWantToReplaceIt, project
+					.getName()));
+			if (!b) {
+				Log.info(TXMUIMessages.abort);
+				return;
+			}
+		}
+		
 		DeleteObject.closeEditorOf(project, true);
 		
 		ExecuteImportScript.executeScript(project);
-
+		
 	}
-
-	//	private void updateEditionsSection() {
-	//		
-	//	}
+	
+	// private void updateEditionsSection() {
 	//
-	//	private void updateEncodingSection() {
-	//		
-	//	}
+	// }
 	//
-	//	private void updateFontSection() {
-	//		
-	//	}
+	// private void updateEncodingSection() {
 	//
-	//	private void updateFrontXsltSection()  {
-	//		
-	//	}
+	// }
 	//
-	//	private void updateLangSection() {
-	//		
-	//	}
+	// private void updateFontSection() {
 	//
-	//	protected void updatePAttributeSection() {
-	//		if (pattrSection.isDisposed()) return;
-	//		if (project == null) return;
-	//		pattributesViewer.getTable().getParent().layout();
-	//		Element queriesElem = params.getPAttributesElement(params.getCorpusElement());
-	//		pattributesViewer.setInput(queriesElem.getElementsByTagName("pattribute")); //$NON-NLS-1$
-	//	}
+	// }
 	//
-	//	private void updatePreBuildSection() {
-	//		if (preBuildSection.isDisposed()) return;
-	//		if (project == null) return;
-	//		preBuildViewer.getTable().getParent().layout();
-	//		Element queriesElem = params.getPreBuildElement(params.getCorpusElement());
-	//		preBuildViewer.setInput(queriesElem.getElementsByTagName("subcorpus")); //$NON-NLS-1$
+	// private void updateFrontXsltSection() {
 	//
-	//		preBuildViewer2.getTree().getParent().layout();
-	//		queriesElem = params.getPreBuildElement(params.getCorpusElement());
-	//		NodeList partitions = queriesElem.getElementsByTagName("partition"); //$NON-NLS-1$
-	//		preBuildViewer2.setInput(partitions);
-	//	}
+	// }
 	//
-	//	private void updateQuerySection() {
-	//		if (querySection.isDisposed()) return;
-	//		if (project == null) return;
-	//		queriesViewer.getTable().getParent().layout();
-	//		Element queriesElem = params.getQueriesElement(params.getCorpusElement());
-	//		queriesViewer.setInput(queriesElem.getElementsByTagName("query")); //$NON-NLS-1$
-	//	}
+	// private void updateLangSection() {
 	//
-	//	private void updateSAttributeSection() {
-	//		if (sattrSection.isDisposed()) return;
-	//		if (project == null) return;
-	//		sattributesViewer.getTable().getParent().layout();
-	//		Element queriesElem = params.getSAttributesElement(params.getCorpusElement());
-	//		sattributesViewer.setInput(queriesElem.getElementsByTagName("sattribute")); //$NON-NLS-1$
-	//	}
+	// }
 	//
-	//	private void updateTokenizerSection() {
+	// protected void updatePAttributeSection() {
+	// if (pattrSection.isDisposed()) return;
+	// if (project == null) return;
+	// pattributesViewer.getTable().getParent().layout();
+	// Element queriesElem = params.getPAttributesElement(params.getCorpusElement());
+	// pattributesViewer.setInput(queriesElem.getElementsByTagName("pattribute")); //$NON-NLS-1$
+	// }
 	//
-	//	}
+	// private void updatePreBuildSection() {
+	// if (preBuildSection.isDisposed()) return;
+	// if (project == null) return;
+	// preBuildViewer.getTable().getParent().layout();
+	// Element queriesElem = params.getPreBuildElement(params.getCorpusElement());
+	// preBuildViewer.setInput(queriesElem.getElementsByTagName("subcorpus")); //$NON-NLS-1$
 	//
-	//	private void updateUisSection() {
+	// preBuildViewer2.getTree().getParent().layout();
+	// queriesElem = params.getPreBuildElement(params.getCorpusElement());
+	// NodeList partitions = queriesElem.getElementsByTagName("partition"); //$NON-NLS-1$
+	// preBuildViewer2.setInput(partitions);
+	// }
 	//
-	//	}
+	// private void updateQuerySection() {
+	// if (querySection.isDisposed()) return;
+	// if (project == null) return;
+	// queriesViewer.getTable().getParent().layout();
+	// Element queriesElem = params.getQueriesElement(params.getCorpusElement());
+	// queriesViewer.setInput(queriesElem.getElementsByTagName("query")); //$NON-NLS-1$
+	// }
 	//
+	// private void updateSAttributeSection() {
+	// if (sattrSection.isDisposed()) return;
+	// if (project == null) return;
+	// sattributesViewer.getTable().getParent().layout();
+	// Element queriesElem = params.getSAttributesElement(params.getCorpusElement());
+	// sattributesViewer.setInput(queriesElem.getElementsByTagName("sattribute")); //$NON-NLS-1$
+	// }
+	//
+	// private void updateTokenizerSection() {
+	//
+	// }
+	//
+	// private void updateUisSection() {
+	//
+	// }
+	//
 	public String getRootDir() {
 		if (project == null) return null;
 		if (project.getSrcdir() == null) return null;
 		return project.getSrcdir().getAbsolutePath();
 	}
-
+	
 	public Project getProject() {
 		return project;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2441)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2442)
@@ -84,6 +84,7 @@
 import org.txm.searchengine.cqp.ReferencePattern;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.utils.LogMonitor;
 import org.txm.utils.logger.Log;
 
 /**
@@ -855,6 +856,7 @@
 	// }
 	
 	
+	
 	/**
 	 * Computes the TXMResult if all required parameters are set then refreshes the editor UI.
 	 * Also loads and saves some parameters from result to Widgets fields and from Widgets fields to result.
@@ -1058,6 +1060,10 @@
 		IWorkbenchPage page = window.getActivePage();
 		try {
 			boolean wasAlreadyOpened = SWTEditorsUtils.isOpenEditor(editorInput, editorId);
+			// TODO pre-compute result ?
+			// if (!wasAlreadyOpened && (RCPPreferences.getInstance().getBoolean(RCPPreferences.AUTO_COMPUTE_ON_EDITOR_OPEN))) {
+			// editorInput.getResult().compute(false);
+			// }
 			
 			// opening the editor
 			IEditorPart e = page.openEditor(editorInput, editorId, true, IWorkbenchPage.MATCH_INPUT | IWorkbenchPage.MATCH_ID);
@@ -1074,6 +1080,7 @@
 			else {
 				// TODO until the TXMResult don't know if its parameters are set by the user or by the default preference value, we need to use the AUTO_COMPUTE_ON_EDITOR_OPEN preference
 				// compute the result only if the editor wasn't already opened
+				
 				if ((RCPPreferences.getInstance().getBoolean(RCPPreferences.AUTO_COMPUTE_ON_EDITOR_OPEN))) {
 					editor.compute(false);
 				}
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2442)
@@ -201,8 +201,8 @@
 	public final static String DEFAULT_STRUCTURAL_UNIT_PROPERTY = "text_id"; //$NON-NLS-1$
 	// End of command preferences shared strings
 	
+	public static final String PERSITABLE = "persistable";
 	
-	
 	/**
 	 * Preferences node qualifier of the instance.
 	 */
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 2442)
@@ -10,177 +10,211 @@
 import org.txm.utils.logger.Log;
 
 public class TBXPreferences extends TXMPreferences {
-
+	
 	public static String VERSION = "version";
-
+	
 	public static final String FETCH_UPDATES_AT_STARTUP = "fetch_updates_at_startup";
-
+	
 	/** The Constants for Toolbox properties. */
 	public static final String LOG_LEVEL = "log_level"; //$NON-NLS-1$
+	
 	public static final String ADD_TECH_LOGS = "log_in_console"; //$NON-NLS-1$
+	
 	public static final String SHOW_TIMINGS = "show_timings"; //$NON-NLS-1$
+	
 	public static final String LOG_DIR = "log_directory"; //$NON-NLS-1$
+	
 	public static final String LOG_IN_FILE = "log_in_file"; //$NON-NLS-1$
+	
 	public static final String EXPERT_USER = "txm_expert_user"; //$NON-NLS-1$
+	
 	public static final String LOG_STACKTRACE = "log_stacktrace"; //$NON-NLS-1$
-
+	
 	/** The Constant SCRIPT_ROOT_DIR. */
 	public static final String SCRIPT_ROOT_DIR = "script_root_dir"; //$NON-NLS-1$
-
+	
 	/** The Constant SCRIPT_CURRENT_DIR. */
 	public static final String SCRIPT_CURRENT_DIR = "script_current_dir"; //$NON-NLS-1$
-
+	
 	/** The Constant UI_LOCALE. */
 	public static final String UI_LOCALE = "ui_locale"; //$NON-NLS-1$
-
+	
 	/** The Constant INSTALL_DIR. */
 	public static final String INSTALL_DIR = "install_dir"; //$NON-NLS-1$
-
+	
 	/** The Constant USER_TXM_HOME. */
 	public static final String USER_TXM_HOME = "user_txm_home"; //$NON-NLS-1$
-
+	
 	public static final String METADATA_ENCODING = "metadata_encoding"; //$NON-NLS-1$
+	
 	public static final String METADATA_COLSEPARATOR = "metadata_colseparator"; //$NON-NLS-1$
+	
 	public static final String METADATA_TXTSEPARATOR = "metadata_txtseparator"; //$NON-NLS-1$
-
+	
 	public static final String EMPTY_PROPERTY_VALUE_CODE = "empty_property_value_code";
-
+	
 	public static final String IMPORT_DEFAULT_LANG = "import_default_lang";
-
+	
 	/** The Constant EXPORT_SHOW. */
 	public static final String EXPORT_SHOW = "export_show"; //$NON-NLS-1$
+	
 	/** The Constant EXPORT_ENCODING. */
 	public static final String EXPORT_ENCODING = "export_encoding"; //$NON-NLS-1$
-
+	
 	/** The Constant EXPORT_COLSEPARATOR. */
 	public static final String EXPORT_COL_SEPARATOR = "export_colseparator"; //$NON-NLS-1$
+	
 	/** The Constant EXPORT_TXTSEPARATOR. */
 	public static final String EXPORT_TXT_SEPARATOR = "export_txtseparator"; //$NON-NLS-1$
-
+	
 	public static final String EDITION_DEFINITION_BUILD = "edition_definition_build"; //$NON-NLS-1$
+	
 	public static final String EDITION_DEFINITION_WORDS_PER_PAGE = "edition_definition_words_per_page"; //$NON-NLS-1$
+	
 	public static final String EDITION_DEFINITION_PAGE_BREAK_ELEMENT = "edition_definition_page_break_element"; //$NON-NLS-1$
+	
 	public static final String EDITION_DEFINITION_IMAGES_DIRECTORY = "edition_definition_images_directory"; //$NON-NLS-1$
-
+	
 	/**
 	 * To show or not all nodes in some views, eg. in CorporaView tree.
 	 */
 	public static final String SHOW_ALL_RESULT_NODES = "show_all_result_nodes"; //$NON-NLS-1$
+	
 	public static final String UPDATESITE = "update_site"; //$NON-NLS-1$
-
-
+	
+	
 	/**
 	 * To enable/disable the results persistence (save after a computing and load at Toolbox start).
 	 */
 	public static final String AUTO_PERSISTENCE_ENABLED = "auto_persistence_enabled"; //$NON-NLS-1$
-
+	
 	public static final String VALUE = "value";
+	
 	public static final String INDEX = "index";
+	
 	public static final String NAME = "name";
+	
 	public static final String NAMES = "names";
+	
 	public static final String TYPE = "type";
-
+	
 	public static final String SOURCE = "source";
+	
 	public static final String XMLTXM = "xmltxm";
-
+	
 	public static final String LANG = "lang";
+	
 	/**
 	 * start script of the import process of a corpus
 	 */
 	public static final String IMPORT_MODULE_NAME = "import_module_name";
+	
 	/**
 	 * corpus alignment configurations
 	 */
 	public static final String LINKS = "corpus_links";
-
+	
 	public static final String IMPORTXMLFILE = "import_xml_path";
-
+	
 	public static final String FONT = "font";
+	
 	public static final String AUTHOR = "author";
+	
 	public static final String FRONT_XSL = "front_xsl";
-
+	
 	public static final String DEFAULT_EDITION = "default_edition";
-
+	
 	public static final String FRONT_XSL_PARAMETERS = "front_xsl_parameters";
-
+	
 	public static final String DESCRIPTION = "description";
+	
 	public static final String ANNOTATE = "annotate";
-
+	
 	public static final String ID = "id";
-
+	
 	public static final String REF_PROPERTY = "ref_property";
+	
 	public static final String SORT_PROPERTY = "sort_property";
+	
 	public static final String VIEW_PROPERTY = "view_property";
-
+	
 	public static final String CLEAN = "clean.directories";
+	
 	public static final String TTMODEL = "annotate.model";
+	
 	public static final String TTANNOTATE = "annotate.run";
-
+	
 	public static final String MULTITHREAD = "multithread";
+	
 	public static final String DEBUG = "debug";
+	
 	public static final String UPDATECORPUS = "corpus.update";
-
+	
 	public static final String NORMALISEANAVALUES = "normalize.ana.values";
+	
 	public static final String NORMALISEATTRIBUTEVALUES = "normalize.attribute.values";
-
+	
 	public static final String CORPUS_VERSION = "corpus_version";
-
+	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(TBXPreferences.class)) {
 			new TBXPreferences();
 		}
 		return TXMPreferences.instances.get(TBXPreferences.class);
 	}
-
-
+	
+	
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
 		Preferences preferences = this.getDefaultPreferencesNode();
-
-		//		//FIXME: USE osgi.instance.area later & done in ApplicationWorkbenchAdvisor
-		//		preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")+"/TXM");
-		//	preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")); //$NON-NLS-1$
 		
+		// //FIXME: USE osgi.instance.area later & done in ApplicationWorkbenchAdvisor
+		// preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")+"/TXM");
+		// preferences.put(TBXPreferences.USER_TXM_HOME, System.getProperty("user.home")); //$NON-NLS-1$
+		
 		preferences.putBoolean(TBXPreferences.EXPERT_USER, false);
 		preferences.putBoolean(TBXPreferences.VISIBLE, true);
 		preferences.putBoolean(TBXPreferences.CLEAN, true);
+		preferences.putBoolean(TBXPreferences.PERSITABLE, false);
 		
-
+		
 		// FIXME
 		preferences.putBoolean(TBXPreferences.ADD_TECH_LOGS, true);
 		preferences.putBoolean(TBXPreferences.LOG_STACKTRACE, true);
 		preferences.putBoolean(TBXPreferences.LOG_IN_FILE, false);
 		preferences.put(TBXPreferences.LOG_LEVEL, "INFO"); //$NON-NLS-1$
-
+		
 		preferences.put(TBXPreferences.IMPORT_DEFAULT_LANG, Locale.getDefault().getLanguage().toLowerCase());
 		preferences.put(TBXPreferences.UI_LOCALE, "fr"); //$NON-NLS-1$
-
-		preferences.put(TBXPreferences.LANG, Locale.getDefault().getLanguage().toLowerCase()); //$NON-NLS-1$
+		
+		preferences.put(TBXPreferences.LANG, Locale.getDefault().getLanguage().toLowerCase());
 		preferences.put(TBXPreferences.ENCODING, DEFAULT_ENCODING);
 		preferences.put(TBXPreferences.DEFAULT_EDITION, "default"); //$NON-NLS-1$
 		preferences.putBoolean(TBXPreferences.ANNOTATE, false);
-
+		
 		preferences.put(TBXPreferences.METADATA_ENCODING, "UTF-8"); //$NON-NLS-1$
 		preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
 		preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ","); //$NON-NLS-1$
 		preferences.put(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE, "__UNDEF__"); //$NON-NLS-1$
-
+		
 		preferences.put(EXPORT_COL_SEPARATOR, "\t"); //$NON-NLS-1$
 		preferences.put(EXPORT_ENCODING, System.getProperty("file.encoding")); //$NON-NLS-1$
 		preferences.put(EXPORT_TXT_SEPARATOR, ""); //$NON-NLS-1$
 		preferences.putBoolean(EXPORT_SHOW, false);
-
+		
 		preferences.putBoolean(SHOW_ALL_RESULT_NODES, false);
 		preferences.putBoolean(AUTO_PERSISTENCE_ENABLED, false);
-
+		
 		if (Toolbox.getTxmHomePath().endsWith("-dev")) {
-			preferences.put(UPDATESITE, "file://"+System.getProperty("user.home")+"/workspace047/TXMReleasePlugins.site");
-		} else {
+			preferences.put(UPDATESITE, "file://" + System.getProperty("user.home") + "/workspace047/TXMReleasePlugins.site");
+		}
+		else {
 			preferences.put(UPDATESITE, "http://textometrie.ens-lyon.fr/dist");
 		}
 	}
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2442)
@@ -147,13 +147,9 @@
 	protected ArrayList<HashMap<String, Object>> parametersHistory = new ArrayList<>();
 	
 	/**
-	 * Internal persistable state.
-	 */
-	protected boolean internalPersistable;
-	
-	/**
 	 * User persistable state.
 	 */
+	@Parameter(key = TXMPreferences.PERSITABLE, type = Parameter.INTERNAL)
 	protected boolean userPersistable;
 	
 	/**
@@ -270,9 +266,11 @@
 		
 		this.visible = true;
 		this.dirty = true;
-		this.internalPersistable = false;
-		this.userPersistable = TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED);
 		
+		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED)) {
+			this.userPersistable = true; // force persistable state if AUTO_PERSISTENCE_ENABLED is set
+		}
+		
 		// retrieving parent from UUID
 		String parentNodePath = this.getStringParameterValue(TXMPreferences.PARENT_PARAMETERS_NODE_PATH);
 		
@@ -2527,7 +2525,7 @@
 	 * @return true if the result as been internally marked as persistable (eg. Corpora, Partition) or if the user has marked the result
 	 */
 	public boolean mustBePersisted() {
-		return this.internalPersistable || this.userPersistable;
+		return this.isInternalPersistable() || this.userPersistable;
 	}
 	
 	/**
@@ -2731,19 +2729,10 @@
 	 * @return the persistable
 	 */
 	public boolean isInternalPersistable() {
-		return internalPersistable;
+		return false;
 	}
 	
 	/**
-	 * Sets the internal persistable state. Results internally persisted will not be deleted when quitting, event if the user set them as non persistable.
-	 * 
-	 * @param persistable the persistable to set
-	 */
-	public void setInternalPersistable(boolean persistable) {
-		this.internalPersistable = persistable;
-	}
-	
-	/**
 	 * Gets the lazy name.
 	 * Since some result names need computed data, this name is dedicated to display the result name even if it has not been recomputed after being loaded.
 	 * 
@@ -2765,55 +2754,42 @@
 	/**
 	 * Sets the user defined persistable state of the result.
 	 * 
-	 * If doCheck is equal to true:
-	 * - propagates persistence to parent and non-persistence to the children if needed.
-	 * - also copies parameters values from Java annotations to result preferences node and flushes the node to file.
-	 * 
-	 * @param userPersistable
-	 * @param doCheck
+	 * @param userPersistable the state to set
 	 */
-	public void setUserPersistable(boolean userPersistable, boolean doCheck) {
+	public void setUserPersistable(boolean userPersistable) {
 		this.userPersistable = userPersistable;
 		
+		// 1- MANAGE THE PARENTS
+		// force persistable state of the parent if this result is set to persistable
+		if (userPersistable && this.parent != null && !this.parent.isInternalPersistable()) {
+			this.parent.setUserPersistable(true);
+		} // un persist parent if it is not visible (internal persistable parent is always visible)
+		else if (!userPersistable && !parent.isVisible()) {
+			this.parent.setUserPersistable(false);
+		}
 		
-		if (!doCheck) {
-			
-			// force persistable state of the parent if this result is set to persistable
-			if (userPersistable && this.parent != null && !this.parent.isInternalPersistable()) {
-				this.parent.setUserPersistable(true);
+		// 2- MANAGE THE CHILDREN
+		// force non-persistable state of children if this result is set to non-persistable
+		if (!userPersistable) {
+			for (TXMResult child : getChildren()) {
+				child.setUserPersistable(userPersistable);
 			}
-			
-			// force non-persistable state of children if this result is set to non-persistable
-			if (!userPersistable) {
-				for (TXMResult child : getChildren()) {
-					child.setUserPersistable(userPersistable);
-				}
+		}
+		
+		// directly save and flush the preference
+		try {
+			if (this.isUserPersistable()) {
+				this.autoSaveParametersFromAnnotations();
+				this.saveParameters();
+				TXMPreferences.flush(this);
 			}
-			
-			// directly save and flush the preference
-			try {
-				if (this.isUserPersistable()) {
-					this.autoSaveParametersFromAnnotations();
-					this.saveParameters();
-					TXMPreferences.flush(this);
-				}
-			}
-			catch (Exception e) {
-				e.printStackTrace();
-			}
 		}
+		catch (Exception e) {
+			e.printStackTrace();
+		}
 	}
 	
 	/**
-	 * Sets the user defined persistable state of the result.
-	 * 
-	 * @param userPersistable the state to set
-	 */
-	public void setUserPersistable(boolean userPersistable) {
-		this.setUserPersistable(userPersistable, true);
-	}
-	
-	/**
 	 * Swaps the user persistable state.
 	 * 
 	 * propagate persistence to parent if necessary
Index: tmp/org.txm.core/src/java/org/txm/objects/Partition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Partition.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/objects/Partition.java	(revision 2442)
@@ -33,14 +33,13 @@
  * Partition abstract representation.
  */
 public abstract class Partition extends TXMResult {
-
+	
 	/**
 	 * 
 	 * @param parent
 	 */
 	public Partition(CorpusBuild parent) {
 		super(parent);
-		this.internalPersistable = true;
 	}
 	
 	/**
@@ -49,7 +48,6 @@
 	 */
 	public Partition(String parametersNodePath) {
 		super(parametersNodePath);
-		this.internalPersistable = true;
 	}
 	
 	/**
@@ -59,4 +57,9 @@
 	public CorpusBuild getCorpus() {
 		return (CorpusBuild) this.getParent();
 	}
+	
+	@Override
+	public boolean isInternalPersistable() {
+		return true;
+	}
 }
